using OpenQA.Selenium;

namespace ESuite.UI.E2E.Pages
{
    public class AddSsoProvider
    {
        private readonly IWebDriver driver;

        // Constructor to initialize the driver
        public AddSsoProvider(IWebDriver driver)
        {
            this.driver = driver;
        }

        // Page elements
        public static By NameField => By.CssSelector("input#name");
        public static By ClientIDField => By.CssSelector("input#clientId");
        public static By ClientSecretField => By.CssSelector("input#clientSecret");
        public static By ValidIssuerField => By.CssSelector("input#validIssuer");
        public static By AuthorisationEndpointField => By.CssSelector("input#authorizationEndpoint");
        public static By TokenEndpointField => By.CssSelector("input#tokenEndpoint");
        public static By IsPublicCheckBox => By.CssSelector("input#isPublic");
        public static By DisplayNameSearchField => By.CssSelector("input#name");
    }
}
